org.jboss.logmanager.config

## Interface ObjectConfigurable

All Known Subinterfaces:
  ErrorManagerConfiguration, FilterConfiguration, FormatterConfiguration, HandlerConfiguration, PojoConfiguration

    public interface ObjectConfigurable

A configurable object with a specific class name.

Author:
  David M. Lloyd

### Method Summary

Methods
`String` `getClassName()` Get the class name for this object's configuration.
`String` `getModuleName()` Get the module name for this object's configuration, if any.

### Method Detail

#### getModuleName

    String getModuleName()

Get the module name for this object's configuration, if any. If JBoss Modules is not present on the class path, only `null` values are accepted.

Returns:
  the module name, or `null` if none is configured

#### getClassName

    String getClassName()

Get the class name for this object's configuration.

Returns:
  the class name